### Property

# Gtk ProgressBar:ellipsize

#### Declaration

    property ellipsize: Pango.EllipsizeMode [ read, write ]

#### Description [src]

The preferred place to ellipsize the string.

The text will be ellipsized if the progress bar does not have enough room to display the entire string, specified as a `PangoEllipsizeMode`.

Note that setting this property to a value other than `PANGO_ELLIPSIZE_NONE` has the side-effect that the progress bar requests only enough space to display the ellipsis (“…”). Another means to set a progress bar’s width is `gtk_widget_set_size_request()`.

Type: | `PangoEllipsizeMode`

Default value | PANGO_ELLIPSIZE_NONE
Getter method | `gtk_progress_bar_get_ellipsize()`
Setter method | `gtk_progress_bar_set_ellipsize()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no